package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * OpenStack服务
 * @author weiwei
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OpenStackServiceModel extends OpenStackService implements BaseMonitorModel {

    /**
     * 是否开启告警状态
     */
    private Boolean alarmEnable;
}
