package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.ims.entity.Server;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 主机
 *
 * @author zhangyf
 * @since 2020-07-09
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class ServerModel extends Server implements BaseMonitorModel {

    /**
     * 内存使用率
     */
    private String memUsage;
    /**
     * cpu使用率
     */
    private String cpuUsage;
    /**
     * cpu总量
     */
    private String cpuTotal;
    /**
     * 内存总量
     */
    private String memTotal;
    /**
     * 宿主机 是否开启告警状态
     */
    private Boolean alarmEnable;
}
