package com.bocloud.cms.model;

import lombok.Data;

/**
 * vmware SNMP告警模型
 *
 * @author zhangyf
 */
@Data
public class VmwareEventModel {

    /**
     * trap类型
     */
    String trapType;
    /**
     * 主机名
     */
    String hostName;
    /**
     * 云主机名
     */
    String vmName;
    /**
     * 旧状态
     */
    String oldStatus;
    /**
     * 新状态
     */
    String newStatus;
    /**
     * 对象值
     */
    String objValue;
    /**
     * 资源目标
     */
    String targetObj;
    /**
     * 资源类型, 2: 宿主机 3: 云主机
     */
    int targetObjType;

}
