package com.bocloud.cms.intf;

import com.bocloud.cms.entity.Alarm;
import com.bocloud.cms.entity.AlarmSendPolicy;

/**
 * 根据当前告警发送告警通知
 *
 * @author zhangyf
 * @since 2019-01-07
 */
public interface AlarmNoticeService {

    /**
     * 发送告警通知
     *
     * @param alarm    告警内容
     * @param policy   分发策略
     * @param recovery 是否为告警恢复
     */
    void sendNotice(Alarm alarm, AlarmSendPolicy policy, boolean recovery);

}
