package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * @author zhangyf
 * @since 2019-08-15
 */
public interface AnalysisService {

    /**
     * 监控分析
     *
     * @param id        ID
     * @param vendorId  云平台ID
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param context   当前用户上下文
     * @param token     Token
     * @return 监控分析结果
     */
    GeneralResult<?> handle(Long id, Long vendorId, String startTime, String endTime, RequestContext context, String token);


}
