package com.bocloud.cms.intf;

import com.bocloud.ims.entity.DataStore;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * vc数据存储
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface DataStoreService extends MonitoringAble<DataStore> {

    /**
     * 列表查询
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 数据存储列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
