package com.bocloud.cms.intf;

import com.bocloud.cms.model.NatGatewayModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * Nat网关
 *
 * @author hya
 * @date 2022/5/12 16:27
 */
public interface HcsoNatService extends MonitoringAble<NatGatewayModel> {

    /**
     * Nat网关列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return Nat网关列表
     */
    GeneralResult<?> listOfNat(Pager pager, RequestContext context, HttpServletRequest request);

}
