package com.bocloud.cms.intf;

import com.bocloud.cms.model.VolumeModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * @author  hya
 * @date 2022/5/12 16:35
 */
public interface HcsoVolumeService extends MonitoringAble<VolumeModel> {

    /**
     * 查询所有磁盘列表信息
     *
     * @param pager 分页
     * @param context 当前用户上下文
     * @param request
     * @return
     */
    GeneralResult listOfVolume(Pager pager, RequestContext context, HttpServletRequest request);

}
