package com.bocloud.cms.intf;

import com.bocloud.nms.entity.SanFabricPort;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * SanFabricPortService层
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface SanFabricService extends MonitoringAble<SanFabricPort> {

    /**
     * 交换机接口列表查询
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 交换机接口列表
     */
    GeneralResult<?> listOfPorts(Pager pager, RequestContext context, HttpServletRequest request);
}
