package com.bocloud.cms.intf;

import com.bocloud.cms.model.VolumeModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * Tce磁盘监控
 *
 * @author hya
 * @date 2022/5/10 11:10
 */
public interface TceVolumeService extends MonitoringAble<VolumeModel> {

    /**
     * 查询所有磁盘列表信息
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 磁盘列表
     */
    GeneralResult<?> listOfVolume(Pager pager, RequestContext context, HttpServletRequest request);
}
