package com.bocloud.cms.intf;

import com.bocloud.dms.entity.ObjectUser;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky对象用户监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyObjectUserService extends MonitoringAble<ObjectUser> {

    /**
     * 对象用户列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 对象用户列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
