package com.bocloud.cms.booter.syslog;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.pattern.CompositeConverter;

import java.util.HashMap;
import java.util.Map;

public class SysLogLevelConvertor extends CompositeConverter<ILoggingEvent> {

    private static final Map<String, String> MAP = new HashMap<>() {{
        this.put("DEBUG", "7");
        this.put("INFO", "6");
        this.put("WARN", "4");
        this.put("ERROR", "3");
    }};

    @Override
    protected String transform(ILoggingEvent iLoggingEvent, String s) {
        return MAP.getOrDefault(iLoggingEvent.getLevel().toString(), iLoggingEvent.getLevel().toString());
    }
}