package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.ims.entity.DataStore;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * vc数据存储
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DataStoreModel extends DataStore implements BaseMonitorModel {

    /**
     * 数据存储 是否开启告警状态
     */
    private Boolean alarmEnable;

}
