package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.dms.entity.ObjectRouter;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 对象用户
 * @author weiwei
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ObjectRouterModel extends ObjectRouter implements BaseMonitorModel {

    /**
     * 是否开启告警状态
     */
    private Boolean alarmEnable;

}
