package com.bocloud.dms.entity;

import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 存储磁盘分区
 *
 * @author luyanchao
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class DiskPartition extends GenericEntity {

    /**
     * id
     */
    private Long id;
    /**
     * 磁盘id
     */
    private Long diskId;
    /**
     * 分区标识
     */
    private Long partitionIdentify;
    /**
     * 分区uuid
     */
    private String partitionUuid;
    /**
     * 挂载路径
     */
    private String mountPath;
    /**
     * 容量byte
     */
    private Long sizeByte;
    /**
     * 已经使用
     */
    private Boolean used;

}
