package com.bocloud.cms.intf;

import com.bocloud.cms.model.AgentInstallParams;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * Agent
 *
 * @author zhangyf
 * @since 2023-03-21
 */
public interface AgentService {

    /**
     * 安装Agent
     *
     * @param taskInstallParams 参数
     * @param context           当前用户
     * @return 结果
     */
    GeneralResult<?> install(AgentInstallParams taskInstallParams, RequestContext context);

}

