package com.bocloud.cms.intf;

import com.bocloud.cms.model.CloudRdsModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * PostgreSql
 *
 * @author hya
 * @date 2022/5/12 16:27
 */
public interface HcsoPostgreSqlService extends MonitoringAble<CloudRdsModel> {

    /**
     * PostgreSql列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return PostgreSql列表
     */
    GeneralResult<?> listRds(Pager pager, RequestContext context, HttpServletRequest request);

}
