package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * hmcService层
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface HmcService extends MonitoringAble<Object> {

    /**
     * HMC主机列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return HMC主机列表
     */
    GeneralResult<?> listOfServer(Pager pager, RequestContext context);

    /**
     * HMC分区列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return HMC分区列表
     */
    GeneralResult<?> listOfPartition(Pager pager, RequestContext context);

}
