package com.bocloud.cms.intf;

import com.bocloud.dms.entity.VolumePool;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky存储池监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyVolumePoolService extends MonitoringAble<VolumePool> {

    /**
     * 存储池列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 存储池列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
